Name:        overpass-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Overpass.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 OverpassMNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFont-Bold.otf
install -Dm644 OverpassMNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFontMono-Bold.otf
install -Dm644 OverpassMNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFontPropo-Bold.otf
install -Dm644 OverpassMNerdFont-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFont-Light.otf
install -Dm644 OverpassMNerdFontMono-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFontMono-Light.otf
install -Dm644 OverpassMNerdFontPropo-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFontPropo-Light.otf
install -Dm644 OverpassMNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFont-Regular.otf
install -Dm644 OverpassMNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFontMono-Regular.otf
install -Dm644 OverpassMNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFontPropo-Regular.otf
install -Dm644 OverpassMNerdFont-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFont-SemiBold.otf
install -Dm644 OverpassMNerdFontMono-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFontMono-SemiBold.otf
install -Dm644 OverpassMNerdFontPropo-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassMNerdFontPropo-SemiBold.otf
install -Dm644 OverpassNerdFont-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-BoldItalic.otf
install -Dm644 OverpassNerdFontPropo-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-BoldItalic.otf
install -Dm644 OverpassNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-Bold.otf
install -Dm644 OverpassNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Bold.otf
install -Dm644 OverpassNerdFont-ExtraBoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-ExtraBoldItalic.otf
install -Dm644 OverpassNerdFontPropo-ExtraBoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ExtraBoldItalic.otf
install -Dm644 OverpassNerdFont-ExtraBold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-ExtraBold.otf
install -Dm644 OverpassNerdFontPropo-ExtraBold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ExtraBold.otf
install -Dm644 OverpassNerdFont-ExtraLightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-ExtraLightItalic.otf
install -Dm644 OverpassNerdFontPropo-ExtraLightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ExtraLightItalic.otf
install -Dm644 OverpassNerdFont-ExtraLight.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-ExtraLight.otf
install -Dm644 OverpassNerdFontPropo-ExtraLight.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ExtraLight.otf
install -Dm644 OverpassNerdFont-HeavyItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-HeavyItalic.otf
install -Dm644 OverpassNerdFontPropo-HeavyItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-HeavyItalic.otf
install -Dm644 OverpassNerdFont-Heavy.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-Heavy.otf
install -Dm644 OverpassNerdFontPropo-Heavy.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Heavy.otf
install -Dm644 OverpassNerdFont-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-Italic.otf
install -Dm644 OverpassNerdFontPropo-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Italic.otf
install -Dm644 OverpassNerdFont-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-LightItalic.otf
install -Dm644 OverpassNerdFontPropo-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-LightItalic.otf
install -Dm644 OverpassNerdFont-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-Light.otf
install -Dm644 OverpassNerdFontPropo-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Light.otf
install -Dm644 OverpassNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-Regular.otf
install -Dm644 OverpassNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Regular.otf
install -Dm644 OverpassNerdFont-SemiBoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-SemiBoldItalic.otf
install -Dm644 OverpassNerdFontPropo-SemiBoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-SemiBoldItalic.otf
install -Dm644 OverpassNerdFont-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-SemiBold.otf
install -Dm644 OverpassNerdFontPropo-SemiBold.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-SemiBold.otf
install -Dm644 OverpassNerdFont-ThinItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-ThinItalic.otf
install -Dm644 OverpassNerdFontPropo-ThinItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ThinItalic.otf
install -Dm644 OverpassNerdFont-Thin.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFont-Thin.otf
install -Dm644 OverpassNerdFontPropo-Thin.otf %{buildroot}%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Thin.otf

%files

%{_datadir}/fonts/%{name}/OverpassMNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFont-Light.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFontMono-Light.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFontPropo-Light.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFontPropo-Regular.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFont-SemiBold.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFontMono-SemiBold.otf
%{_datadir}/fonts/%{name}/OverpassMNerdFontPropo-SemiBold.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-BoldItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-BoldItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-ExtraBoldItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ExtraBoldItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-ExtraBold.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ExtraBold.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-ExtraLightItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ExtraLightItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-ExtraLight.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ExtraLight.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-HeavyItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-HeavyItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-Heavy.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Heavy.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-Italic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Italic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-LightItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-LightItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-Light.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Light.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Regular.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-SemiBoldItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-SemiBoldItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-SemiBold.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-SemiBold.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-ThinItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-ThinItalic.otf
%{_datadir}/fonts/%{name}/OverpassNerdFont-Thin.otf
%{_datadir}/fonts/%{name}/OverpassNerdFontPropo-Thin.otf
%license "LICENSE.md"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
